package me.Demon.DemonLevels.manage;

import me.Demon.DemonLevels.Main;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.entity.Player;

import java.io.File;
import java.io.IOException;
import java.math.BigInteger;
import java.util.UUID;

public class PlayerManage {

    private Player player;
    private UUID uuid;
    private int level;
    private int exp;
    private BigInteger totalExp;
    private File file;
    private FileConfiguration fileConfiguration;

    public PlayerManage(Player player){

    }

    public void createPlayerData(){
        File file = new File(Main.plugin.getDataFolder()+"/PlayerData",uuid.toString()+".yml");
        // 如果文件不存在，则创建新的文件
        if (!file.exists()) {
            try {
                file.getParentFile().mkdirs(); // 创建文件夹
                file.createNewFile(); // 创建文件
            } catch (IOException e) {
                e.printStackTrace();
            }
            // 加载文件配置
            FileConfiguration yml = YamlConfiguration.loadConfiguration(file);
            yml.set("name",player.getName());
            yml.set("uuid",player.getUniqueId().toString());
            yml.set("level",1);
            yml.set("totalExp",1);
            this.file = file;
            this.fileConfiguration = yml;
            saveFile();
            System.out.println("[日志 - 等级] 玩家 "+player.getName()+" 已创建档案数据.");
        }
    }

    public void saveFile(){
        try {
            this.fileConfiguration.save(this.file);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
