package me.Demon.DemonLevels;

import me.Demon.DemonLevels.listener.MobDeath;
import me.Demon.DemonLevels.listener.QuitEvent;
import me.Demon.DemonLevels.manage.MobsManage;
import me.Demon.DemonLevels.manage.ServerManage;
import me.Demon.DemonLevels.util.ConfigYml;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static boolean Debug = true;

    public static String TypeEvent = "DragonCore";

    public static ServerManage serverManage;
    public static ConfigYml configYml;

    @Override
    public void onEnable() {
        plugin = this;
        loadConfigData();
        serverManage = new ServerManage(getConfig());
        getServer().getPluginManager().registerEvents(new MobDeath(),this);
        getServer().getPluginManager().registerEvents(new QuitEvent(),this);
    }

    public void loadConfigData(){
        File file = new File(getDataFolder(),"Data.yml");
        FileConfiguration yml = YamlConfiguration.loadConfiguration(file);
        configYml = new ConfigYml(yml);
    }
}
